package it.integry.integrywmsnative.gest.accettazione_bolla_elenco.ui;

import androidx.annotation.ColorInt;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.gest.accettazione_bolla_elenco.rest.dto.TestataBollaAccettazioneDTO;

public class MainAccettazioneBolleElencoListModel implements Cloneable {
    private String groupTitle;

    private String description;
    private String subDescription;
    private String rightDescription;
    private String rightSubDescription;

    private @ColorInt Integer etichettaColor;

    private boolean hidden;
    private BindableBoolean selected = new BindableBoolean();


    private TestataBollaAccettazioneDTO originalModel;


    public String getGroupTitle() {
        return groupTitle;
    }

    public MainAccettazioneBolleElencoListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public MainAccettazioneBolleElencoListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getSubDescription() {
        return subDescription;
    }

    public MainAccettazioneBolleElencoListModel setSubDescription(String subDescription) {
        this.subDescription = subDescription;
        return this;
    }

    public String getRightDescription() {
        return rightDescription;
    }

    public MainAccettazioneBolleElencoListModel setRightDescription(String rightDescription) {
        this.rightDescription = rightDescription;
        return this;
    }

    public String getRightSubDescription() {
        return rightSubDescription;
    }

    public MainAccettazioneBolleElencoListModel setRightSubDescription(String rightSubDescription) {
        this.rightSubDescription = rightSubDescription;
        return this;
    }

    public @ColorInt Integer getEtichettaColor() {
        return etichettaColor;
    }

    public MainAccettazioneBolleElencoListModel setEtichettaColor(@ColorInt Integer etichettaColor) {
        this.etichettaColor = etichettaColor;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public MainAccettazioneBolleElencoListModel setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }

    public BindableBoolean getSelectedObservable() {
        return selected;
    }

    public TestataBollaAccettazioneDTO getOriginalModel() {
        return originalModel;
    }

    public void setOriginalModel(TestataBollaAccettazioneDTO originalModel) {
        this.originalModel = originalModel;
    }
}
